--- old/usr/src/lib/libproc/common/Pservice.c	Wed Aug 21 14:46:31 2013
+++ new/usr/src/lib/libproc/common/Pservice.c	Wed Aug 21 14:46:31 2013
@@ -22,9 +22,10 @@
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
+/*
+ * Copyright (c) 2013 by Delphix. All rights reserved.
+ */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdarg.h>
 #include <string.h>
 #include "Pcontrol.h"
@@ -56,7 +57,7 @@
 ps_err_e
 ps_pread(struct ps_prochandle *P, psaddr_t addr, void *buf, size_t size)
 {
-	if (P->ops->p_pread(P, buf, size, addr) != size)
+	if (P->ops.pop_pread(P, buf, size, addr, P->data) != size)
 		return (PS_BADADDR);
 	return (PS_OK);
 }
@@ -64,7 +65,7 @@
 ps_err_e
 ps_pwrite(struct ps_prochandle *P, psaddr_t addr, const void *buf, size_t size)
 {
-	if (P->ops->p_pwrite(P, buf, size, addr) != size)
+	if (P->ops.pop_pwrite(P, buf, size, addr, P->data) != size)
 		return (PS_BADADDR);
 	return (PS_OK);
 }
